Package twisted :: Package scripts :: Module tapconvert

[show private | hide private]
[frames | no frames]

## Module twisted.scripts.tapconvert

Classes
`ConvertOptions` |
`EverythingEphemeral` |
`LoaderCommon` | Simple logic for loading persisted data
`LoaderPython` |
`LoaderSource` |
`LoaderTap` |
`LoaderXML` |

Function Summary
| `guessType(filename)`
| ``loadPersisted`(filename, kind, encrypted, passphrase)` Loads filename, of the specified kind and returns an application
| `run()`
| `savePersisted(app, filename, encrypted)`

Variable Summary
`dictionary` | `loaders`

Function Details

### loadPersisted(filename, kind, encrypted, passphrase)

Loads filename, of the specified kind and returns an application

Variable Details

### loaders

  Type:
    `dictionary`
  Value:

        {'pickle': <class twisted.scripts.tapconvert.LoaderTap at 0x86c729c>,
         'python': <class twisted.scripts.tapconvert.LoaderPython at 0x86a2454\
        >,
         'source': <class twisted.scripts.tapconvert.LoaderSource at 0x88af5a4\
        >,
         'xml': <class twisted.scripts.tapconvert.LoaderXML at 0x884ad4c>}

Generated by Epydoc 1.1 on Sat Feb 15 21:18:08 2003 | http://epydoc.sf.net